package com.cooble.saltmod.main;

import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.world.World;
import net.minecraft.world.WorldSavedData;
import net.minecraft.world.storage.MapStorage;

public class MyWorldData extends WorldSavedData {

	private static final String key = "MujUnikatniKlic";
	private static final String nbtName="muj_nbt_tag";
	
	public NBTTagCompound tag;
	

	
	public MyWorldData(String key){
		super(key);
		tag=new NBTTagCompound();
	}

	
	public static MyWorldData forWorld(World world) {
        // Retrieves the MyWorldData instance for the given world, creating it if necessary
		MapStorage storage = world.perWorldStorage;
		MyWorldData result = (MyWorldData)storage.loadData(MyWorldData.class, key);
		if (result == null) {
			result = new MyWorldData(key);
			storage.setData(key, result);
		}
		return result;
	}

	@Override
	public void readFromNBT(NBTTagCompound nbt) {
		tag=nbt.getCompoundTag(nbtName);
	}
	@Override
	public void writeToNBT(NBTTagCompound nbt) {
		nbt.setTag(nbtName, tag);
	}

}
